Define pti/rtp verify job for Yocto build
Signed-off-by: Lott, Christopher (cl778h) <cl778h@att.com>
Change-Id: I927076cd71eb39b7d9285953bc5cd6099a96dcb0
diff --git a/jjb/pti-rtp/pti-rtp.yaml b/jjb/pti-rtp/pti-rtp.yaml
index fed0685..240d58c 100644
--- a/jjb/pti-rtp/pti-rtp.yaml
+++ b/jjb/pti-rtp/pti-rtp.yaml
@@ -13,3 +13,14 @@
jobs:
- gerrit-info-yaml-verify
+- project:
+ name: pti-rtp-verify
+ project: pti/rtp
+ project-name: pti-rtp
+ # use a centos with big memory; docker not required
+ build-node: centos7-docker-2c-8g
+ # runs about 30 minutes
+ build-timeout: 60
+ script: !include-raw-escape: verify-pti-rtp-centos.sh
+ jobs:
+ - oran-verify-shell
diff --git a/jjb/pti-rtp/verify-pti-rtp-centos.sh b/jjb/pti-rtp/verify-pti-rtp-centos.sh
new file mode 100755
index 0000000..1564551
--- /dev/null
+++ b/jjb/pti-rtp/verify-pti-rtp-centos.sh
@@ -0,0 +1,41 @@
+#!/bin/bash
+
+# Copyright (C) 2019 Wind River Systems, Inc.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# Installs prerequisites on CentOS then invokes the pti/rtp build script
+# to test creation of a Yocto image. The "-n" flag skips bitbake.
+
+echo "--> verify-pti-rtp-centos.sh"
+
+# Ensure we fail the job if any steps fail.
+set -eu -o pipefail
+
+pkgs="gawk make wget tar bzip2 gzip python unzip perl patch \
+ diffutils diffstat cpp gcc gcc-c++ glibc-devel texinfo chrpath socat \
+ perl-Data-Dumper perl-Text-ParseWords perl-Thread-Queue perl-Digest-SHA \
+ python3-pip xz which SDL-devel xterm"
+echo "INFO: installing epel-release and packages $pkgs"
+sudo yum install -y epel-release \
+ && sudo yum makecache \
+ && sudo yum install -y $pkgs
+
+dir=workspace
+echo "INFO: creating workspace $dir"
+mkdir $dir
+cmd="./scripts/build_oran.sh -w $dir -n"
+echo "INFO: invoking build script: $cmd"
+$cmd
+
+echo "--> verify-pti-rtp-centos.sh ends"